Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait ScalaLogic extends Interface with Logic with TreeAndTypeAnalysis
  Definition Classes
    patmat
-  trait TreesAndTypesDomain extends PropositionalLogic with CheckableTreeAndTypeAnalysis
  Definition Classes
    ScalaLogic
- AbsVar
- AnalysisBudget
- And
- AtMostOne
- Const
- Eq
- False
- Not
- NullConst
- Or
- Prop
- PropMap
- PropTraverser
- Solution
- Solvable
- Sym
- True
- TypeConst
- TypeConstExtractor
- ValueConst
- ValueConstExtractor
- Var
- VarExtractor

c

scala.tools.nsc.transform.patmat.ScalaLogic.TreesAndTypesDomain

# ValueConst

###
Companion object ValueConst

#### sealed class ValueConst extends Const

Source
  Logic.scala

Linear Supertypes
Const, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ValueConst
2. Const
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ValueConst(tp: Type, wideTp: Type, toString: String)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ValueConst toany2stringadd[ValueConst] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ValueConst, B)
   Implicit
     This member is added by an implicit conversion from ValueConst toArrowAssoc[ValueConst] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (ValueConst) => Boolean, msg: => Any): ValueConst
   Implicit
     This member is added by an implicit conversion from ValueConst toEnsuring[ValueConst] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (ValueConst) => Boolean): ValueConst
   Implicit
     This member is added by an implicit conversion from ValueConst toEnsuring[ValueConst] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): ValueConst
    Implicit
      This member is added by an implicit conversion from ValueConst toEnsuring[ValueConst] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): ValueConst
    Implicit
      This member is added by an implicit conversion from ValueConst toEnsuring[ValueConst] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ValueConst toStringFormat[ValueConst] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def isAny: Boolean
    Definition Classes
      Const
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  def isValue: Boolean
    Definition Classes
      ValueConst → Const
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
25.  val toString: String
    Definition Classes
      ValueConst → AnyRef → Any
26.  val tp: Type
    Definition Classes
      ValueConst → Const
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
30.  val wideTp: Type
    Definition Classes
      ValueConst → Const

### Deprecated Value Members

1.  def →[B](y: B): (ValueConst, B)
   Implicit
     This member is added by an implicit conversion from ValueConst toArrowAssoc[ValueConst] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Const

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromValueConst to any2stringadd[ValueConst]

### Inherited by implicit conversion StringFormat fromValueConst to StringFormat[ValueConst]

### Inherited by implicit conversion Ensuring fromValueConst to Ensuring[ValueConst]

### Inherited by implicit conversion ArrowAssoc fromValueConst to ArrowAssoc[ValueConst]

### Ungrouped